Subject: Re: bug#35012: Can't install icecat

From: Alberto EFG <[email-masked]>
Date: Fri, 29 Mar 2019 15:34:06 -0600

Hi Björn Höfling
> I.e. yours is 5xs5...-icecat, mine is bwhn...-icecat
>
> When I'm looking at the latest evaluation of hydra, there I find the
> bwhn... one:
>
> https://hydra.gnu.org/build/3431712
>
> Source Nix closure of
> path /gnu/store/bwhnxvfx4ng5fhc7xi6wijp8qciqjpbk-icecat-60.6.1-guix1 
>
> If you look there at the tab "inputs", you will see that it evaluated
> from commit
>
> fd9fe868f818b159b58c6a9811cc68e752a0af48
>
> Looking at the git history, you will find out that this is from:
>
> Committer: Tobias Geerinckx-Rice <[email-masked]>  2019-03-25 12:59:39
>
> Your "guix pull" should be on this commit or later (but not too late,
> such that firefox-affecting changes don't get in of cause :-)). 
> You can directly try to use:
>
> guix pull --commit="fd9fe868f818b159b58c6a9811cc68e752a0af48"
>
> and then try again updating icecat like you did above.
I did this but it still didn't work and asked me to compile
however I did what Mark Weaver suggested, I changed my TMPDIR
environment variable and I was able to compile without problems \o/ now
my guix is up to date

> Are you on x86_64? Although when I look at i686 and arm, the hashes are
> totally different (we would have a problem with substitutes there
> anyway).
>
I am on x86_64 yes
this is my guix describe

 $ guix describe
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package and defining `GUIX_LOCPATH', along these
lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for more info.

Generation 11	Mar 29 2019 11:54:26	(current)
  guix 32e0f90
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 32e0f906d775679d8b4e770d267d29cb77724360